@import 'variables';

.pillow-button {
  line-height: 24px !important;
  border-radius: 12px !important;
  border: 1px solid $gray-dark !important;
  background-color: $white;
}
.link {
  color: $blue-primary;
  font-weight: normal;
  font-size: 14px;
  cursor: pointer;
}

.page-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  min-height: 40px;
  padding: 10px 20px 10px 20px;
  margin: 0;
  font-size: 20px;
  font-weight: bold;
  background-color: $gray-lightest;

  &__title {
    display: flex;
    font-size: 20px;
    font-weight: bold;
    margin: 5px 0 5px 0;
  }

  &__tools {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  &__link {
    color: $blue-primary;
    font-weight: normal;
    font-size: 18px;
    cursor: pointer;
  }
}

.page-sub-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  min-height: 60px;
  font-size: 16px;
  background-color: $default-color;

  &__title {
    font-weight: bold;
  }

  &__tools {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
}

.raw-data-btn {
  color: $blue-secondary;
  cursor: pointer;
}

.mat-sidenav-content > .main-content #layout-content {
  margin: 60px 0.5rem 0.5rem 0.5rem !important;
}

.snackbar {
  &--success {
    background-color: green;
    color: white;

    button {
      background-color: white;
      color: green;
    }
  }

  &--info {
    background-color: #005bb6;
    color: white;

    button {
      background-color: white;
      color: #005bb6;
    }
  }

  &--error {
    background-color: darkred;
    color: white;

    button {
      background-color: white;
      color: darkred;
    }
  }
}

// Sparse Table
table.mat-table.sparse {
  thead {
    tr.mat-header-row {
      th.mat-header-cell {
        height: 45px;
        font-size: 1.1em;
      }
    }
  }

  tbody {
    tr.mat-row {
      td.mat-cell {
        height: 35px;
        font-size: 1.05em;
      }
    }
  }
}

// Perfect Scrollbar
[perfectScrollbar].ps-always .ps {
  &__rail-x {
    opacity: 0.6;
  }

  &__rail-y {
    opacity: 0.6;
  }
}

.sort-pop-up {
  .mat-dialog-container {
    overflow: inherit;
    margin: 10px 0 0;
    padding: 0;
  }
}

//******
ps__rail-y {
  left: auto !important;
  right: 0;
}

// Change background navigation
body:not(.theme-dark) .left-sidebar {
  background: #5d5b5f;
}

// Disabled button
.top-page .top-btn .btn-calculator[disabled] {
  background: #c8c6c8 !important;
}

// Change border color of input when error
.mat-warn .mat-input-element,
.mat-form-field-invalid .mat-input-element {
  caret-color: #d61600;
}

// Blue caret
.mat-select-arrow {
  color: #4e95de !important;
}

// Change border color of arrow icon
.group-dropdown .cover-input .click-row .arrow-icon {
  border-color: #4e95de transparent transparent transparent !important;
}

// 2 sides should not display margin
.mat-sidenav-content > .main-content #layout-content {
  margin: 60px 0 0.5rem !important;
}

body:not(.theme-dark) .mat-nav-list .mat-list-item button[mat-mini-fab],
body:not(.theme-dark) .mat-nav-list .mat-list-item .mat-mini-fab {
  background: #fff;
}

body:not(.theme-dark) .mat-nav-list .mat-list-item.open svg text {
  fill: #fff;
}

// mat-progress-bar
mat-progress-bar.mat-progress-bar {
  height: 3px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9999;
  border-radius: 4px;

  .mat-progress-bar-fill::after {
    background-color: $blue-primary;
  }

  .mat-progress-bar-buffer {
    background: $gray-lighter;
  }
}

.mat-menu-panel {
  width: 153px;
  margin-right: -20px;
  margin-top: -29px;
  border-radius: 6px;
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1), 0 -2px 4px 0 rgba(0, 0, 0, 0.05);
}
.mat-menu-content:not(:empty) {
  padding: 3px 0px;
}
.mat-menu-item {
  padding: 0 15px;
  font-size: 12px;
  font-weight: 700;
  line-height: 24px;
  color: $gray-darker;
}
.mat-menu-item .mat-icon:not([color]),
.mat-menu-item-submenu-trigger::after {
  color: inherit;
}
.mat-flat-button.mat-primary.secondary-btn,
.mat-raised-button.mat-primary.secondary-btn,
.mat-fab.mat-primary.secondary-btn,
.mat-mini-fab.mat-primary.secondary-btn {
  background-color: $green-bg;
}
.warning-btn {
  color: $red-color;
}
.mat-dialog-container {
  padding: 0 !important;
  border-radius: 6px !important;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05) !important;
}
// page content
.page-content {
  width: 100%;
  margin: 24px;
  background-color: $white;
  border-radius: 6px;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  overflow: auto;
}
.modal-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 55px;
  padding: 5px 17px;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05), inset 0 -1px 0 0 #eceeef;
  h5 {
    margin: 0;
    color: $gray-darker;
    font-size: 16px;
    font-weight: 700;
    line-height: 19px;
  }
}
.modal-content {
  padding: 15px;
  .row {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .actions {
    display: flex;
    justify-content: flex-end;
    padding-top: 20px;
    button + button {
      margin-left: 10px;
    }
  }
}
.mat-snack-bar-container.mat-snack-bar-center.toast-panel {
  margin: 24px;
  &.error-message {
    background-color: $error-border-color;
  }
}
